org.apache.fop.fonts

## Class FontSetup

- java.lang.Object
- - org.apache.fop.fonts.FontSetup

    public final class FontSetup
    extends Object

Default fonts for FOP application; currently this uses PDF's fonts by default. Assigns the font (with metrics) to internal names like "F1" and assigns family-style-weight triplets to the fonts

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `setup(FontInfo fontInfo, boolean base14Kerning)` Sets up a font info
`static void` `setup(FontInfo fontInfo, List embedFontInfoList, InternalResourceResolver resourceResolver, boolean base14Kerning)` Sets up the font info object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setup

    public static void setup(FontInfo fontInfo,
                             boolean base14Kerning)

Sets up a font info

Parameters:
  `fontInfo` - font info
  `base14Kerning` - true if base14 kerning applies

#### setup

    public static void setup(FontInfo fontInfo,
                             List embedFontInfoList,
                             InternalResourceResolver resourceResolver,
                             boolean base14Kerning)

Sets up the font info object. Adds metrics for basic fonts and useful family-style-weight triplets for lookup.

Parameters:
  `fontInfo` - the font info object to set up
  `embedFontInfoList` - a list of EmbedFontInfo objects
  `resourceResolver` - the font resolver
  `base14Kerning` - true if base14 kerning applies